2017-01-08 08:55  

	* [r103] debian/changelog.in:
	  rebuilt debian/changelog.in

2017-01-07 14:29  

	* [r102] ChangeLog, bootstrap.sh, build-in-docker.conf,
	  build-in-docker.sh, debian/control.in:
	  build system updated

2016-12-11 21:51  

	* [r101] build-in-docker.sh, resolve-rpmbuilddeps.sh:
	  fix some typos

2016-12-11 01:39  

	* [r100] ChangeLog, ax_init_standard_project.m4, bootstrap.sh,
	  build-in-docker.conf, build-in-docker.sh, libxml-cxx.spec.in,
	  resolve-debbuilddeps.sh, resolve-rpmbuilddeps.sh:
	  seems to work for rpm, execpt signing problem

2016-10-05 11:37  

	* [r99] debian/control.in:
	  fixed build on wily

2016-09-29 16:37  

	* [r98] ChangeLog, INSTALL, autogen.sh[ADD],
	  ax_cxx_compile_stdcxx_11.m4, ax_init_standard_project.m4,
	  bootstrap.sh, build-in-docker.sh, doc/footer.html.in[ADD],
	  doc/header.html.in[ADD], doc/plantuml.jar[ADD],
	  doc/style.css[ADD], mac-create-app-bundle.sh,
	  makefile_test.inc.am[ADD], resolve-debbuilddeps.sh,
	  resolve-rpmbuilddeps.sh, sql-to-dot.sed, test/xml-cxx.cxx[ADD]:
	  update buildsystem

2015-12-26 11:37  marc

	* [r97] ChangeLog, ax_init_standard_project.m4, bootstrap.sh,
	  build-in-docker.conf[ADD], build-in-docker.sh,
	  resolve-debbuilddeps.sh:
	  enable build-in-docker

2015-11-18 09:25  marc

	* [r96] ChangeLog, ax_init_standard_project.m4, bootstrap.sh,
	  libxml-cxx.desktop.in[ADD], libxml-cxx.spec.in,
	  resolve-debbuilddeps.sh, sql-to-dot.sed[ADD], src/version.cxx,
	  src/version.cxx.in[DEL]:
	  development packages are named devel in rpms, not dev

2015-11-16 12:38  marc

	* [r95] doc/doxyfile.in:
	  SVG must not be interactive for embedding in redmine

2015-11-07 10:47  marc

	* [r94] bootstrap.sh:
	  there is no qt4-default

2015-11-07 09:23  marc

	* [r93] bootstrap.sh:
	  there is no qt4-default

2015-11-05 09:54  marc

	* [r92] ax_init_standard_project.m4, bootstrap.sh,
	  build-in-docker.sh[ADD], resolve-debbuilddeps.sh:
	  updated build system

2015-11-03 22:54  marc

	* [r91] debian/control.in, libxml-cxx.spec.in:
	  update dependencies

2015-11-03 21:51  marc

	* [r90] debian/control.in:
	  updated dependencies

2015-11-03 14:27  marc

	* [r89] ChangeLog, ax_check_qt.m4, ax_init_standard_project.m4,
	  bootstrap.sh, resolve-debbuilddeps.sh:
	  prepared for build in a docker instance on jenkins

2015-11-02 00:18  marc

	* [r88] build-resource-file.sh[ADD], resolve-debbuilddeps.sh[ADD],
	  resolve-rpmbuilddeps.sh[ADD]:
	  new author url

2015-11-02 00:15  marc

	* [r87] ChangeLog:
	  new author url

2015-11-01 23:56  marc

	* [r86] AUTHORS, ChangeLog, ax_check_qt.m4,
	  ax_init_standard_project.m4, bootstrap.sh:
	  new author url

2015-08-17 14:03  marc

	* [r85] ax_init_standard_project.m4, bootstrap.sh:
	  Debian sid is more restrictive in time format

2015-07-31 11:47  marc

	* [r84] libxml-cxx.spec.in:
	  graphviz must not be used in fedora-20, otherise it never
	  terminates

2015-07-31 10:46  marc

	* [r83] ax_init_standard_project.m4, bootstrap.sh:
	  fixed version number

2015-07-31 07:05  marc

	* [r82] bootstrap.sh, libxml-cxx.spec.in:
	  repair rpm build

2015-07-31 07:00  marc

	* [r81] ax_check_qt.m4, ax_init_standard_project.m4, bootstrap.sh,
	  libxml-cxx.spec.in, mac-create-app-bundle.sh[ADD], makefile.am:
	  repair rpm build

2015-07-13 13:55  marc

	* [r80] src/xml.cxx:
	  need another move for squeeze

2015-07-13 13:11  marc

	* [r79] configure.ac:
	  typo

2015-07-13 12:37  marc

	* [r78] README, configure.ac:
	  typo

2015-07-13 12:23  marc

	* [r77] bootstrap.sh, doc/doxyfile.in, doc/makefile.am:
	  fix builds

2015-07-13 12:00  marc

	* [r76] src/libxml-cxx.pc.in:
	  link-fix

2015-07-13 11:55  marc

	* [r75] examples/address.cxx, examples/node_macros.cxx,
	  src/xml-cxx/xml.hxx, src/xml.cxx, test/xml_test.cxx:
	  replaced std::auto_ptr by new std::unique_ptr

2015-07-13 11:27  marc

	* [r74] AUTHORS, ChangeLog, ax_check_qt.m4[ADD],
	  ax_init_standard_project.m4[ADD], bootstrap.sh, configure.ac,
	  debian, debian/changelog.in[ADD], debian/compat[ADD],
	  debian/control.in[ADD], debian/docs[ADD],
	  debian/libxml-cxx-dev.install[ADD],
	  debian/libxml-cxx.install[ADD], debian/rules[ADD],
	  doc/examples[DEL], doc/makefile.am, examples[CPY],
	  examples/makefile.am, makefile.am, src/libxml-cxx.pc.in,
	  src/makefile.am, src/version.cxx[ADD], src/version.hxx[ADD],
	  src/xml.cxx, test/makefile.am:
	  update to new build system

2015-05-08 22:00  marc

	* [r73] ChangeLog, src/xml-cxx/xml.hxx, src/xml.cxx:
	  added Node::first() and Node::last() to get the first or last
	  child

2015-03-24 08:03  marc

	* [r72] README:
	  typo

2015-03-03 10:22  marc

	* [r71] configure.ac:
	  a=\\PACKAGEPACKAGE_VERSION\; b=\\PACKAGE_VERSION\; for f in
	  $(grep --exclude-dir=.svn --exclude=\\*~\ -lr "$a"); do sed -i
	  "s,$a,$b,g" "$f"; done

2015-02-23 10:29  marc

	* [r70] ChangeLog, src/xml-cxx/xml.hxx:
	  make check fixed - now warnings deprecated std::auto_ptr → to be
	  fixed later; refs #14

2015-02-19 08:45  marc

	* [r69] AUTHORS, ChangeLog, INSTALL, README,
	  ax_cxx_compile_stdcxx_11.m4[ADD], configure.ac[CPY],
	  configure.in[DEL], debian/changelog.in, debian/control[DEL],
	  debian/control.in[CPY], debian/rules, doc/doxyfile.in,
	  doc/makefile.am, libxml-cxx.spec.in, makefile.am,
	  src/libxml-cxx.pc.in, src/version.cxx.in:
	  new build rules, same changes as in ticket 12 of mrw-c++; refs
	  #14

2013-01-25 14:37  marc

	* [r65] libxml-cxx.spec.in:
	  fix fedora-18 bug; closes #13

2012-09-18 12:37  marc

	* [r62] libxml-cxx.spec.in:
	  other dependency for fedora; refs #12

2012-07-06 11:54  marc

	* [r60] src/xml-cxx/xml.hxx:
	  bugfix; refs #11

2011-12-18 11:08  marc

	* [r56] libxml-cxx.spec.in:
	  use %_lib in rpm spec; refs #10

2011-11-18 16:02  marc

	* [r54] test/optional_serialization_test.cxx:
	  add output for optional serialization test; closes #9

2011-11-10 10:27  marc

	* [r53] configure.in, src/makefile.am:
	  correct verion number; closes #5

2011-11-09 15:09  marc

	* [r52] configure.in, doc/makefile.am, libxml-cxx.spec.in,
	  makefile.am:
	  some cleanups; closes #5

2011-11-09 13:31  marc

	* [r51] doc/makefile.am, libxml-cxx.spec.in, makefile.am:
	  supports build of RPM packages, tested on openSUSE; closes #5

2010-08-03 14:00  marc

	* [r50] src/version.cxx.in[ADD]:
	  forgotten file, closes #6

2010-08-03 13:50  marc

	* [r49] configure.in, src/makefile.am, src/xml-cxx/xml.hxx:
	  closes #6

2010-06-01 13:37  marc

	* [r48] install-32-bit-lin-win.sh[ADD]:
	  32bit-build added, refs #5

2010-05-12 08:40  marc

	* [r47] debian/changelog.in:
	  SwissSign E-Mail, see #5

2010-05-12 08:30  marc

	* [r46] debian/control:
	  SwissSign E-Mail, see #5

2010-05-12 08:23  marc

	* [r45] makefile.am:
	  Back to chroot builds, see #5

2010-04-26 06:37  marc

	* [r44] configure.in, libxml-cxx.spec.in[ADD], makefile.am:
	  started with spec file, refs #5

2010-04-16 11:48  marc

	* [r43] makefile.am:
	  build debian for all architectures, see #5

2010-04-15 13:51  marc

	* [r42] debian/control:
	  second debian package target was missing, see #5

2010-04-15 12:48  marc

	* [r41] README, configure.in, debian[ADD],
	  debian/changelog.in[ADD], debian/compat[ADD],
	  debian/control[ADD], debian/copyright[ADD], debian/dirs[ADD],
	  debian/docs[ADD], debian/libxml-cxx-dev.dirs[ADD],
	  debian/libxml-cxx-dev.install[ADD], debian/libxml-cxx.dirs[ADD],
	  debian/libxml-cxx.doc-base.EX[ADD],
	  debian/libxml-cxx.install[ADD], debian/rules[ADD],
	  debian/shlibs.local.ex[ADD], debian/watch.ex[ADD], makefile.am,
	  src/libxml-cxx.pc.in[ADD], src/makefile.am:
	  see #5 - done for debian

2010-03-31 15:13  marc

	* [r40] INSTALL, doc/makefile.am, src/xml-cxx/xml.hxx, src/xml.cxx:
	  new conversions

2009-05-06 07:22  admin

	* [r39] doc/examples/optional_serialization.cxx,
	  src/xml-cxx/xml.hxx:
	  xml::Optional example added end extended

2009-05-06 07:13  admin

	* [r38] doc/examples/contain_serialization.cxx,
	  doc/examples/makefile.am,
	  doc/examples/optional_serialization.cxx[ADD],
	  src/xml-cxx/xml.hxx, src/xml.cxx, test/makefile.am,
	  test/optional_serialization_test.cxx[ADD]:
	  closes #1

2009-05-04 14:56  admin

	* [r37] test/container_serialization_test.cxx,
	  test/serialization_test.cxx, test/xml_test.cxx:
	  output cppunit to xml for bitten

2009-05-04 12:48  

	* [r36] COPYING[ADD]:
	  LGPL 3

2009-05-04 12:47  

	* [r35] COPYING[DEL], README, doc/doxyfile.in,
	  doc/examples/address.cxx, doc/examples/contain_serialization.cxx,
	  doc/examples/inherit_serialization.cxx,
	  doc/examples/list_serialization.cxx,
	  doc/examples/node_macros.cxx, doc/examples/serialization.cxx,
	  src/makefile.am, src/xml-cxx/any.hxx, src/xml-cxx/xml.hxx,
	  src/xml.cxx, test/container_serialization_test.cxx[ADD],
	  test/makefile.am:
	  start of xml::Optional

2009-04-30 15:10  

	* [r34] doc/examples/list_serialization.cxx,
	  src/xml-cxx/any.hxx[ADD], src/xml-cxx/xml.hxx, src/xml.cxx:
	  stmped

2009-04-30 08:28  

	* [r33] doc/examples/list_serialization.cxx, src/xml-cxx/xml.hxx,
	  src/xml.cxx:
	  first approach to list - requires work -> are the items
	  xml::Serialize?

2009-04-29 11:58  

	* [r32] doc/examples/list_serialization.cxx, src/xml-cxx/xml.hxx,
	  src/xml.cxx:
	  Metatemplateprogramming is really cool

2009-04-28 07:36  

	* [r31] src/xml-cxx/xml.hxx, src/xml.cxx,
	  test/serialization_test.cxx:
	  boost::any instead of macros - first pieces of meta template
	  programming

2009-04-27 11:34  

	* [r30] src/xml-cxx/xml.hxx, src/xml.cxx:
	  using boost::any for storing member pointers to any type

2009-04-27 10:59  

	* [r29] doc/examples/list_serialization.cxx[ADD]:
	  new file

2009-04-27 10:48  

	* [r28] doc/examples/contain_serialization.cxx,
	  doc/examples/inherit_serialization.cxx, doc/examples/makefile.am,
	  src/xml-cxx/xml.hxx, src/xml.cxx, test/serialization_test.cxx:
	  serialization works for containment and inheritance

2009-04-24 15:12  

	* [r27] doc/examples/contain_serialization.cxx,
	  src/xml-cxx/xml.hxx, src/xml.cxx:
	  containment can be serialized

2009-04-24 07:13  

	* [r26] doc/examples/contain_serialization.cxx[ADD],
	  doc/examples/inherit_serialization.cxx, doc/examples/makefile.am,
	  src/xml-cxx/xml.hxx, src/xml.cxx, test/serialization_test.cxx:
	  serialization nearly ready for containment

2009-04-23 15:10  

	* [r25] doc/examples/inherit_serialization.cxx[ADD],
	  doc/examples/serialization.cxx, src/xml-cxx/xml.hxx, src/xml.cxx,
	  test/serialization_test.cxx[ADD]:
	  better serialization, but test does not work actually

2009-04-23 06:41  

	* [r24] doc/examples/address.cxx,
	  doc/examples/node_macros.cxx[ADD],
	  doc/examples/serialization.cxx[ADD], src/xml-cxx/xml.hxx,
	  src/xml.cxx:
	  node macros added (usefule but unfinished)

2009-04-22 16:10  

	* [r23] src/xml-cxx/xml.hxx, src/xml.cxx, test/makefile.am,
	  test/xml_test.cxx:
	  serialization; more docu

2009-04-22 08:25  

	* [r22] AUTHORS, README, configure.in, doc/doxyfile.in,
	  doc/examples[ADD], doc/examples/address.cxx[ADD],
	  doc/examples/makefile.am[ADD], doc/makefile.am, src/makefile.am,
	  src/xml-cxx/xml.hxx, src/xml.cxx:
	  more docu

2009-04-21 07:12  

	* [r21] src/xml-cxx/xml.hxx, src/xml.cxx:
	  more docu

2009-04-20 06:42  

	* [r20] doc/doxyfile.in, src/xml-cxx/xml.hxx, src/xml.cxx:
	  more docu; other behaviour for parent

2009-04-09 14:11  

	* [r19] src/xml.cxx:
	  pretty print

2009-04-09 13:32  

	* [r18] src/xml-cxx/xml.hxx, src/xml.cxx:
	  pretty print for templates

2009-04-09 10:53  

	* [r17] src/xml-cxx/xml.hxx, src/xml.cxx, test/xml_test.cxx:
	  check node number limits

2009-04-09 07:01  

	* [r16] src/xml-cxx/xml.hxx, src/xml.cxx, test/xml_test.cxx:
	  new tests, cleanup, prepared for node-limits

2009-04-08 15:01  

	* [r15] install-64-and-32-bit-linux.sh, src/xml-cxx/xml.hxx,
	  src/xml.cxx:
	  extendions and corrections

2009-04-08 06:44  

	* [r14] src/xml-cxx/xml.hxx, src/xml.cxx, test/xml_test.cxx:
	  much more tests; all exceptions in readin tested

2009-04-07 14:58  

	* [r13] src/xml.cxx:
	  fixed empty attribute reading bug

2009-04-07 14:31  

	* [r12] configure.in, doc/makefile.am,
	  install-64-and-32-bit-linux.sh, src/xml-cxx/xml.hxx, src/xml.cxx:
	  some bugfixes

2009-04-07 06:59  

	* [r11] src/xml-cxx/xml.hxx, src/xml.cxx:
	  documentation

2009-04-06 14:57  

	* [r10] install-64-and-32-bit-linux.sh[ADD], src/xml-cxx/xml.hxx,
	  src/xml.cxx:
	  get list of child nodes

2009-04-06 07:08  

	* [r9] src/xml-cxx/xml.hxx, src/xml.cxx:
	  some documentation and new feartures for attributes

2009-04-03 14:02  

	* [r8] src/xml-cxx/xml.hxx, src/xml.cxx:
	  UnsingedInteger

2009-04-03 07:07  

	* [r7] doc/doxyfile.in, doc/makefile.am, makefile.am,
	  src/xml-cxx/xml.hxx, src/xml.cxx:
	  Accept but ignore special tags: <!, <?; Start of class
	  UnsingedInteger; success: make distcheck

2009-04-02 14:54  

	* [r6] doc/makefile.am:
	  rebuild possible after clean

2009-04-02 14:47  

	* [r5] doc/makefile.am, src/makefile.am, src/xml.cxx,
	  test/xml_test.cxx:
	  nearly distclean

2009-04-02 14:36  

	* [r4] configure.in, doc/makefile.am, src/xml-cxx[ADD],
	  src/xml-cxx/xml.hxx[CPY], src/xml.hxx[DEL]:
	  Zwischenstand

2009-04-02 14:01  

	* [r3] COPYING[ADD], INSTALL[ADD], configure.in, doc/makefile.am,
	  src/makefile.am, test/makefile.am[ADD]:
	  first working and tested release

2009-04-02 13:24  

	* [r2] AUTHORS[ADD], ChangeLog[ADD], NEWS[ADD], README[ADD],
	  bootstrap.sh[ADD], configure.in[ADD], doc[ADD],
	  doc/doxyfile.in[ADD], doc/makefile.am[ADD], makefile.am[ADD],
	  src[ADD], src/makefile.am[ADD], src/xml.cxx[ADD],
	  src/xml.hxx[ADD], test[ADD], test/xml_test.cxx[ADD]:
	  import

2009-04-02 11:50  

	* [r1] .[ADD]:
	  start

